> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv1website 



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/website/{country_code}/{db_id}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v1/website/{country_code}/{db_id}:
    get:
      tags:
        - valorant
      operationId: WebsiteById
      parameters:
        - name: db_id
          in: path
          description: Database ID of the website entry
          required: true
          schema:
            type: string
        - name: country_code
          in: path
          description: Country code (e.g., en-us, de-de)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Website entry retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebsiteByIdV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Content not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    WebsiteByIdV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/WebsiteByIdV1Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    WebsiteByIdV1Data:
      type: object
      required:
        - category
        - date
        - title
        - url
      properties:
        banner_url:
          type:
            - string
            - 'null'
        category:
          type: string
        content:
          type:
            - string
            - 'null'
        date:
          type: string
        description:
          type:
            - string
            - 'null'
        external_link:
          type:
            - string
            - 'null'
        title:
          type: string
        url:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0

````